{
    "name": "湘农数智农服",
    "version": "1.0.32",
    "description": "湘农数智农服",
    "keywords": [
        "app",
        "basic"
    ],
    "bugs": {
        "url": "https://gitlab.yiring.com/digital-agri/agri-app/issues"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.yiring.com/digital-agri/agri-app.git"
    },
    "author": {
        "name": "yiring",
        "email": "developer@yiring.com",
        "url": "https://yiring.com"
    },
    "scripts": {
        "build:app": "uni build -p app",
        "build:custom": "uni build -p",
        "build:h5": "uni build",
        "build:h5:ssr": "uni build --ssr",
        "build:mp-alipay": "uni build -p mp-alipay",
        "build:mp-baidu": "uni build -p mp-baidu",
        "build:mp-kuaishou": "uni build -p mp-kuaishou",
        "build:mp-lark": "uni build -p mp-lark",
        "build:mp-qq": "uni build -p mp-qq",
        "build:mp-toutiao": "uni build -p mp-toutiao",
        "build:mp-weixin": "uni build -p mp-weixin",
        "build:quickapp-webview": "uni build -p quickapp-webview",
        "build:quickapp-webview-huawei": "uni build -p quickapp-webview-huawei",
        "build:quickapp-webview-union": "uni build -p quickapp-webview-union",
        "clean:cache": "rimraf node_modules/.cache/ && rimraf node_modules/.vite",
        "clean:lib": "rimraf node_modules",
        "cz": "czg",
        "dev": "uni",
        "dev:app": "uni -p app",
        "dev:custom": "uni -p",
        "dev:h5": "uni",
        "dev:h5:ssr": "uni --ssr",
        "dev:mp-alipay": "uni -p mp-alipay",
        "dev:mp-baidu": "uni -p mp-baidu",
        "dev:mp-kuaishou": "uni -p mp-kuaishou",
        "dev:mp-lark": "uni -p mp-lark",
        "dev:mp-qq": "uni -p mp-qq",
        "dev:mp-toutiao": "uni -p mp-toutiao",
        "dev:mp-weixin": "uni -p mp-weixin",
        "dev:quickapp-webview": "uni -p quickapp-webview",
        "dev:quickapp-webview-huawei": "uni -p quickapp-webview-huawei",
        "dev:quickapp-webview-union": "uni -p quickapp-webview-union",
        "lint": "npm run lint:eslint && npm run lint:stylelint && npm run lint:prettier",
        "lint:eslint": "eslint --cache --max-warnings 0  \"{src,mock}/**/*.{vue,ts,tsx}\" --fix",
        "lint:lint-staged": "lint-staged -c ./.husky/lintstagedrc.js",
        "lint:prettier": "prettier --write  \"src/**/*.{js,ts,json,ts,tsx,css,less,scss,vue,html,md}\"",
        "lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
        "log": "conventional-changelog -p angular -i CHANGELOG.md -s",
        "prepare": "husky install",
        "u": "pnpx @dcloudio/uvm vue3"
    },
    "config": {
        "commitizen": {
            "path": "node_modules/cz-git"
        }
    },
    "dependencies": {
        "@dcloudio/uni-app": "3.0.0-4080720251210001",
        "@dcloudio/uni-app-plus": "3.0.0-4080720251210001",
        "@dcloudio/uni-components": "3.0.0-4080720251210001",
        "@dcloudio/uni-h5": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-alipay": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-baidu": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-jd": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-kuaishou": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-lark": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-qq": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-toutiao": "3.0.0-4080720251210001",
        "@dcloudio/uni-mp-weixin": "3.0.0-4080720251210001",
        "@dcloudio/uni-quickapp-webview": "3.0.0-4080720251210001",
        "@dcloudio/uni-ui": "^1.5.11",
        "@faker-js/faker": "^9.9.0",
        "@turf/turf": "^7.3.1",
        "@vant/area-data": "^2.1.0",
        "@vue/runtime-core": "3.4.21",
        "@vueuse/core": "^10.11.1",
        "@vueuse/shared": "^11.3.0",
        "axios": "^1.13.2",
        "crypto-js": "^4.2.0",
        "dayjs": "^1.11.19",
        "dayjs-plugin-lunar": "^1.4.1",
        "lodash-es": "^4.17.22",
        "nanoid": "^5.1.6",
        "pinia": "2.0.36",
        "qs": "6.9.7",
        "stompjs": "^2.3.3",
        "tyme4ts": "^1.3.9",
        "urijs": "^1.19.11",
        "vue": "3.4.21",
        "vue-demi": "^0.14.10",
        "vue-i18n": "9.1.9",
        "vue-request": "^2.0.4",
        "vue-types": "^5.1.3"
    },
    "devDependencies": {
        "@antfu/eslint-config": "^0.43.1",
        "@commitlint/cli": "^19.8.1",
        "@commitlint/config-conventional": "^19.8.1",
        "@dcloudio/types": "^3.4.28",
        "@dcloudio/uni-automator": "3.0.0-4080720251210001",
        "@dcloudio/uni-cli-shared": "3.0.0-4080720251210001",
        "@dcloudio/uni-helper-json": "^1.0.13",
        "@dcloudio/uni-stacktracey": "3.0.0-4080720251210001",
        "@dcloudio/uni-uts-v1": "3.0.0-4080720251210001",
        "@dcloudio/vite-plugin-uni": "3.0.0-4080720251210001",
        "@iconify/json": "^2.2.417",
        "@types/crypto-js": "^4.2.2",
        "@types/lodash-es": "^4.17.12",
        "@types/mapbox-gl": "^2.7.21",
        "@types/node": "^22.19.3",
        "@types/qs": "^6.14.0",
        "@types/stompjs": "^2.3.10",
        "@types/urijs": "^1.19.26",
        "@typescript-eslint/eslint-plugin": "^7.18.0",
        "@typescript-eslint/parser": "^7.18.0",
        "commitizen": "^4.3.1",
        "conventional-changelog-cli": "^5.0.0",
        "cz-conventional-changelog": "^3.3.0",
        "cz-customizable": "^7.5.1",
        "cz-git": "^1.12.0",
        "czg": "^1.12.0",
        "dotenv": "^16.6.1",
        "eslint": "^8.57.1",
        "eslint-config-prettier": "^9.1.2",
        "eslint-plugin-prettier": "^5.5.4",
        "eslint-plugin-vue": "^9.33.0",
        "husky": "^8.0.3",
        "jest": "27.0.4",
        "jest-environment-node": "27.5.1",
        "less": "^4.5.1",
        "lint-staged": "^16.2.7",
        "mapbox-gl": "2.15.0",
        "npm-run-all": "^4.1.5",
        "picocolors": "^1.1.1",
        "pont-engine": "^1.6.3",
        "postcss": "^8.5.6",
        "postcss-html": "^1.8.0",
        "postcss-less": "^6.0.0",
        "prettier": "^3.7.4",
        "rimraf": "^6.1.2",
        "sass": "^1.97.0",
        "sort-package-json": "^3.6.0",
        "stylelint": "^16.26.1",
        "stylelint-config-html": "^1.1.0",
        "stylelint-config-recommended": "^14.0.1",
        "stylelint-config-standard": "^36.0.1",
        "stylelint-order": "^6.0.4",
        "typescript": "~5.4.5",
        "unocss": "^0.58.9",
        "unocss-preset-weapp": "^0.58.9",
        "unplugin-auto-import": "^0.17.8",
        "unplugin-vue-components": "^0.28.0",
        "vite": "^5.4.21",
        "vue-eslint-parser": "^9.4.3"
    },
    "engines": {
        "node": ">=18",
        "pnpm": ">=9.0.0"
    },
    "appName": "数智农服"
}
